org.apache.ignite.mxbean

## Interface BaselineAutoAdjustMXBean

-     public interface BaselineAutoAdjustMXBean

  This interface defines JMX view on `DistributedBaselineConfiguration`.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `long` | `getAutoAdjustmentTimeout()`
    `String` | `getTaskState()`
    `long` | `getTimeUntilAutoAdjust()`
    `boolean` | `isAutoAdjustmentEnabled()`
    `void` | `setAutoAdjustmentEnabled(boolean enabled)`
    `void` | `setAutoAdjustmentTimeout(long timeout)`

- - ### Method Detail

    - #### isAutoAdjustmentEnabled

          @MXBeanDescription(value="Whether baseline autoadjustment is enabled ot not.")
          boolean isAutoAdjustmentEnabled()

      Returns:
        Whether baseline autoadjustment is enabled ot not.

    - #### getAutoAdjustmentTimeout

          @MXBeanDescription(value="Baseline autoadjustment timeout value.")
          long getAutoAdjustmentTimeout()

      Returns:
        Baseline autoadjustment timeout value.

    - #### getTimeUntilAutoAdjust

          @MXBeanDescription(value="Time until baseline will be adjusted automatically.")
          long getTimeUntilAutoAdjust()

      Returns:
        Time until baseline will be adjusted automatically.

    - #### getTaskState

          @MXBeanDescription(value="State of task of auto-adjust(IN_PROGRESS, SCHEDULED, NOT_SCHEDULED).")
          String getTaskState()

      Returns:
        State of task of auto-adjust.

    - #### setAutoAdjustmentEnabled

          @MXBeanDescription(value="Enable/disable baseline autoadjustment feature.")
          void setAutoAdjustmentEnabled(@MXBeanParameter(name="enabled",description="Enable/disable flag.")
                                                                                                                    boolean enabled)

      Parameters:
        `enabled` - Enable/disable baseline autoadjustment flag.

    - #### setAutoAdjustmentTimeout

          @MXBeanDescription(value="Set baseline autoadjustment timeout value.")
          void setAutoAdjustmentTimeout(@MXBeanParameter(name="timeout",description="Timeout value.")
                                                                                                               long timeout)

      Parameters:
        `timeout` - Timeout value.

2022 Copyright © Apache Software Foundation
| Follow @ApacheIgnite
Ignite Database and Caching Platform | : ver. 2.12.0
Release Date | : January 10 2022